# Mix sync  
This simple script uses `youtube-dl` to sync several sources with your local filesystem.
It was mainly developed to "follow" several youtube DJs and download their mixes so they can later be listend to with a proper audio player like [MPD](https://www.musicpd.org/).

## How to use
Adjust the `config.ini` and point `mixes_dir` to the parent folder where all your downloads should be synced to. Inside this folder you can place several subfolders containing a `url.txt` file.
The tool will find all of these files and pass the first line of it alongside with other options you define in `options` to `youtube-dl`.

### Auto update for MPD
If you want to update MPD automatically you can set `update=True` and define the `mpd_root`. `mpd_root` should be the same as your `music_directory` in `/etc/mpd.conf`.

### ⚠️ Attention ⚠️
I tried to avoid any shell injection with the contents of `url.txt` but maybe failed. Make sure to only put content you trust in there and don't let strangers write to it. It might cause damage. You have been warned!